<script setup>

    const props = defineProps({
        sectionTitle: {
            type: String,
            required: true
        },
        sectionIsOn: {
            type: Boolean,
            required: true
        }
    });

    const rounded_style = computed(() => {
        if(props.sectionIsOn) {
            return "rounded-t-[10px]";
        }
        else {
            return "rounded-[10px]";
        }
    })

</script>

<template>
    <div :class="`w-full flex flex-row space-x-2 p-[2px] self-start bg-white text-black shadow-las hover:cursor-pointer ${rounded_style}`">
        <img v-if="sectionIsOn" src="/images/arrow_down.svg" width="18px" height="12px">
        <img v-else src="/images/arrow_right.svg" width="12px" height="18px">
        <span>{{ sectionTitle }}</span>
    </div>
</template>